Package org.eclipse.ui.dialogs

## Class ProjectLocationSelectionDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.dialogs.SelectionStatusDialog
          - - org.eclipse.ui.dialogs.ProjectLocationSelectionDialog

All Implemented Interfaces:
  `IShellProvider`

    public class ProjectLocationSelectionDialog
    extends SelectionStatusDialog

The ProjectLocationSelectionDialog is the dialog used to select the name and location of a project for copying.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`ProjectLocationSelectionDialog​(Shell parentShell, IProject existingProject)` Create a ProjectLocationSelectionDialog on the supplied project parented by the parentShell.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `computeResult()` The `ProjectLocationSelectionDialog` implementation of this `SelectionStatusDialog` method builds a two element list - the first element is the project name and the second one is the location.
`protected void` `configureShell​(Shell shell)` Configures the given shell in preparation for opening this window in it.
`protected Button` `createButton​(Composite parent, int id, String label, boolean defaultButton)` Creates a new button with the given id.
`protected Control` `createDialogArea​(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).

### Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog

`create, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectLocationSelectionDialog

    public ProjectLocationSelectionDialog​(Shell parentShell,
                                          IProject existingProject)

Create a ProjectLocationSelectionDialog on the supplied project parented by the parentShell.

Parameters:
  `parentShell` - the dialog's parent shell
  `existingProject` - project shown in the dialog

### Method Detail

#### createButton

    protected Button createButton​(Composite parent,
                                  int id,
                                  String label,
                                  boolean defaultButton)

Description copied from class: `Dialog`
Creates a new button with the given id.

The `Dialog` implementation of this framework method creates a standard push button, registers it for selection events including button presses, and registers default buttons with its shell. The button id is stored as the button's client data. If the button id is `IDialogConstants.CANCEL_ID`, the new button will be accessible from `getCancelButton()`. If the button id is `IDialogConstants.OK_ID`, the new button will be accesible from `getOKButton()`. Note that the parent's layout is assumed to be a `GridLayout` and the number of columns in this layout is incremented. Subclasses may override.

Note: The common button order is: {other buttons}, OK, Cancel. On some platforms, `Dialog.initializeBounds()` will move the default button to the right.

Overrides:
  `createButton` in class `Dialog`
Parameters:
  `parent` - the parent composite
  `id` - the id of the button (see `IDialogConstants.*_ID` constants for standard dialog button ids)
  `label` - the label from the button
  `defaultButton` - `true` if the button is to be the default button, and `false` otherwise
Returns:
  the new button
Since:
  3.14
See Also:
  `Dialog.getCancelButton()`, `Dialog.getOKButton()`

#### computeResult

    protected void computeResult()

The `ProjectLocationSelectionDialog` implementation of this `SelectionStatusDialog` method builds a two element list - the first element is the project name and the second one is the location.

Specified by:
  `computeResult` in class `SelectionStatusDialog`

#### configureShell

    protected void configureShell​(Shell shell)

Description copied from class: `Window`
Configures the given shell in preparation for opening this window in it.

The default implementation of this framework method sets the shell's image and gives it a grid layout. Subclasses may extend or reimplement.

Overrides:
  `configureShell` in class `SelectionStatusDialog`
Parameters:
  `shell` - the shell

#### createDialogArea

    protected Control createDialogArea​(Composite parent)

Description copied from class: `Dialog`
Creates and returns the contents of the upper part of this dialog (above the button bar).

The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

Subclasses must override this method but may call `super` as in the following example:

     Composite composite = (Composite) super.createDialogArea(parent);
     //add controls to composite as necessary
     return composite;

Overrides:
  `createDialogArea` in class `Dialog`
Parameters:
  `parent` - the parent composite to contain the dialog area
Returns:
  the dialog area control